Bug 1302263 - (CVE-2016-0755) CVE-2016-0755 curl: NTLM credentials not-checked for proxy connection re-use
CVE-2016-0755 curl: NTLM credentials not-checked for proxy connection re-use
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160127,reported=2...
: Security
Depends On: 1302264 1302265 1302266
Blocks: 1302268
  Show dependency treegraph
 
Reported: 2016-01-27 05:38 EST by Andrej Nemec
Modified: 2016-05-16 17:26 EDT (History)
17 users (show)

See Also:
Fixed In Version: libcurl 7.47.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-16 17:26:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2016-01-27 05:38:03 EST
A vulnerability was found in a way libcurl uses NTLM-authenticated proxy connections.
Libcurl will reuse NTLM-authenticated proxy connections without properly making sure,
that the connection was authenticated with the same credentials as set for this transfer.

Upstream bug report:

http://curl.haxx.se/docs/adv_20160127A.html

Upstream patch:

http://curl.haxx.se/CVE-2016-0755.patch

Acknowledgements:

Red Hat would like to thank curl upstream for reporting this issue. Upstream acknowledges Isaac Boukris as the original reporter.
Comment 1 Andrej Nemec 2016-01-27 05:38:41 EST
Created curl tracking bugs for this issue:

Affects: fedora-all [bug 1302265]
Comment 2 Andrej Nemec 2016-01-27 05:38:49 EST
Created mingw-curl tracking bugs for this issue:

Affects: fedora-all [bug 1302264]
Affects: epel-7 [bug 1302266]
Comment 3 Fedora Update System 2016-01-30 13:20:12 EST
curl-7.43.0-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2016-02-01 19:51:26 EST
curl-7.40.0-8.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Tomas Hoger 2016-05-16 17:26:28 EDT
This issue affects use cases when curl uses HTTP proxy with NTLM authentication, and switches to different proxy or different proxy authentication credentials between requests.  Later requests may unexpectedly re-use authenticated proxy connections from earlier requests.

Due to this issue being limited to very specific circumstances, there is currently no plan to backport the fix to released Red Hat Enterprise Linux versions.

Note You need to log in before you can comment on or make changes to this bug.